test_that("`english_illions()` works", {
  # Thank you to Steve Olsen: https://www.olsenhome.com/bignumbers/
  one_thousand_and_four_illions <- c(
    "thousand", "million", "billion", "trillion", "quadrillion",
    "quintillion", "sextillion", "septillion", "octillion", "nonillion",
    "decillion", "undecillion", "duodecillion", "tredecillion", "quattuordecillion",
    "quindecillion", "sedecillion", "septendecillion", "octodecillion",
    "novendecillion", "vigintillion", "unvigintillion", "duovigintillion",
    "tresvigintillion", "quattuorvigintillion", "quinvigintillion",
    "sesvigintillion", "septemvigintillion", "octovigintillion",
    "novemvigintillion", "trigintillion", "untrigintillion", "duotrigintillion",
    "trestrigintillion", "quattuortrigintillion", "quintrigintillion",
    "sestrigintillion", "septentrigintillion", "octotrigintillion",
    "noventrigintillion", "quadragintillion", "unquadragintillion",
    "duoquadragintillion", "tresquadragintillion", "quattuorquadragintillion",
    "quinquadragintillion", "sesquadragintillion", "septenquadragintillion",
    "octoquadragintillion", "novenquadragintillion", "quinquagintillion",
    "unquinquagintillion", "duoquinquagintillion", "tresquinquagintillion",
    "quattuorquinquagintillion", "quinquinquagintillion", "sesquinquagintillion",
    "septenquinquagintillion", "octoquinquagintillion", "novenquinquagintillion",
    "sexagintillion", "unsexagintillion", "duosexagintillion", "tresexagintillion",
    "quattuorsexagintillion", "quinsexagintillion", "sesexagintillion",
    "septensexagintillion", "octosexagintillion", "novensexagintillion",
    "septuagintillion", "unseptuagintillion", "duoseptuagintillion",
    "treseptuagintillion", "quattuorseptuagintillion", "quinseptuagintillion",
    "seseptuagintillion", "septenseptuagintillion", "octoseptuagintillion",
    "novenseptuagintillion", "octogintillion", "unoctogintillion",
    "duooctogintillion", "tresoctogintillion", "quattuoroctogintillion",
    "quinoctogintillion", "sexoctogintillion", "septemoctogintillion",
    "octooctogintillion", "novemoctogintillion", "nonagintillion",
    "unnonagintillion", "duononagintillion", "trenonagintillion",
    "quattuornonagintillion", "quinnonagintillion", "senonagintillion",
    "septenonagintillion", "octononagintillion", "novenonagintillion",
    "centillion", "uncentillion", "duocentillion", "trescentillion",
    "quattuorcentillion", "quincentillion", "sexcentillion", "septencentillion",
    "octocentillion", "novencentillion", "decicentillion", "undecicentillion",
    "duodecicentillion", "tredecicentillion", "quattuordecicentillion",
    "quindecicentillion", "sedecicentillion", "septendecicentillion",
    "octodecicentillion", "novendecicentillion", "viginticentillion",
    "unviginticentillion", "duoviginticentillion", "tresviginticentillion",
    "quattuorviginticentillion", "quinviginticentillion", "sesviginticentillion",
    "septemviginticentillion", "octoviginticentillion", "novemviginticentillion",
    "trigintacentillion", "untrigintacentillion", "duotrigintacentillion",
    "trestrigintacentillion", "quattuortrigintacentillion", "quintrigintacentillion",
    "sestrigintacentillion", "septentrigintacentillion", "octotrigintacentillion",
    "noventrigintacentillion", "quadragintacentillion", "unquadragintacentillion",
    "duoquadragintacentillion", "tresquadragintacentillion", "quattuorquadragintacentillion",
    "quinquadragintacentillion", "sesquadragintacentillion", "septenquadragintacentillion",
    "octoquadragintacentillion", "novenquadragintacentillion", "quinquagintacentillion",
    "unquinquagintacentillion", "duoquinquagintacentillion", "tresquinquagintacentillion",
    "quattuorquinquagintacentillion", "quinquinquagintacentillion",
    "sesquinquagintacentillion", "septenquinquagintacentillion",
    "octoquinquagintacentillion", "novenquinquagintacentillion",
    "sexagintacentillion", "unsexagintacentillion", "duosexagintacentillion",
    "tresexagintacentillion", "quattuorsexagintacentillion", "quinsexagintacentillion",
    "sesexagintacentillion", "septensexagintacentillion", "octosexagintacentillion",
    "novensexagintacentillion", "septuagintacentillion", "unseptuagintacentillion",
    "duoseptuagintacentillion", "treseptuagintacentillion", "quattuorseptuagintacentillion",
    "quinseptuagintacentillion", "seseptuagintacentillion", "septenseptuagintacentillion",
    "octoseptuagintacentillion", "novenseptuagintacentillion", "octogintacentillion",
    "unoctogintacentillion", "duooctogintacentillion", "tresoctogintacentillion",
    "quattuoroctogintacentillion", "quinoctogintacentillion", "sexoctogintacentillion",
    "septemoctogintacentillion", "octooctogintacentillion", "novemoctogintacentillion",
    "nonagintacentillion", "unnonagintacentillion", "duononagintacentillion",
    "trenonagintacentillion", "quattuornonagintacentillion", "quinnonagintacentillion",
    "senonagintacentillion", "septenonagintacentillion", "octononagintacentillion",
    "novenonagintacentillion", "ducentillion", "unducentillion",
    "duoducentillion", "treducentillion", "quattuorducentillion",
    "quinducentillion", "seducentillion", "septenducentillion", "octoducentillion",
    "novenducentillion", "deciducentillion", "undeciducentillion",
    "duodeciducentillion", "tredeciducentillion", "quattuordeciducentillion",
    "quindeciducentillion", "sedeciducentillion", "septendeciducentillion",
    "octodeciducentillion", "novendeciducentillion", "vigintiducentillion",
    "unvigintiducentillion", "duovigintiducentillion", "tresvigintiducentillion",
    "quattuorvigintiducentillion", "quinvigintiducentillion", "sesvigintiducentillion",
    "septemvigintiducentillion", "octovigintiducentillion", "novemvigintiducentillion",
    "trigintaducentillion", "untrigintaducentillion", "duotrigintaducentillion",
    "trestrigintaducentillion", "quattuortrigintaducentillion", "quintrigintaducentillion",
    "sestrigintaducentillion", "septentrigintaducentillion", "octotrigintaducentillion",
    "noventrigintaducentillion", "quadragintaducentillion", "unquadragintaducentillion",
    "duoquadragintaducentillion", "tresquadragintaducentillion",
    "quattuorquadragintaducentillion", "quinquadragintaducentillion",
    "sesquadragintaducentillion", "septenquadragintaducentillion",
    "octoquadragintaducentillion", "novenquadragintaducentillion",
    "quinquagintaducentillion", "unquinquagintaducentillion", "duoquinquagintaducentillion",
    "tresquinquagintaducentillion", "quattuorquinquagintaducentillion",
    "quinquinquagintaducentillion", "sesquinquagintaducentillion",
    "septenquinquagintaducentillion", "octoquinquagintaducentillion",
    "novenquinquagintaducentillion", "sexagintaducentillion", "unsexagintaducentillion",
    "duosexagintaducentillion", "tresexagintaducentillion", "quattuorsexagintaducentillion",
    "quinsexagintaducentillion", "sesexagintaducentillion", "septensexagintaducentillion",
    "octosexagintaducentillion", "novensexagintaducentillion", "septuagintaducentillion",
    "unseptuagintaducentillion", "duoseptuagintaducentillion", "treseptuagintaducentillion",
    "quattuorseptuagintaducentillion", "quinseptuagintaducentillion",
    "seseptuagintaducentillion", "septenseptuagintaducentillion",
    "octoseptuagintaducentillion", "novenseptuagintaducentillion",
    "octogintaducentillion", "unoctogintaducentillion", "duooctogintaducentillion",
    "tresoctogintaducentillion", "quattuoroctogintaducentillion",
    "quinoctogintaducentillion", "sexoctogintaducentillion", "septemoctogintaducentillion",
    "octooctogintaducentillion", "novemoctogintaducentillion", "nonagintaducentillion",
    "unnonagintaducentillion", "duononagintaducentillion", "trenonagintaducentillion",
    "quattuornonagintaducentillion", "quinnonagintaducentillion",
    "senonagintaducentillion", "septenonagintaducentillion", "octononagintaducentillion",
    "novenonagintaducentillion", "trecentillion", "untrecentillion",
    "duotrecentillion", "trestrecentillion", "quattuortrecentillion",
    "quintrecentillion", "sestrecentillion", "septentrecentillion",
    "octotrecentillion", "noventrecentillion", "decitrecentillion",
    "undecitrecentillion", "duodecitrecentillion", "tredecitrecentillion",
    "quattuordecitrecentillion", "quindecitrecentillion", "sedecitrecentillion",
    "septendecitrecentillion", "octodecitrecentillion", "novendecitrecentillion",
    "vigintitrecentillion", "unvigintitrecentillion", "duovigintitrecentillion",
    "tresvigintitrecentillion", "quattuorvigintitrecentillion", "quinvigintitrecentillion",
    "sesvigintitrecentillion", "septemvigintitrecentillion", "octovigintitrecentillion",
    "novemvigintitrecentillion", "trigintatrecentillion", "untrigintatrecentillion",
    "duotrigintatrecentillion", "trestrigintatrecentillion", "quattuortrigintatrecentillion",
    "quintrigintatrecentillion", "sestrigintatrecentillion", "septentrigintatrecentillion",
    "octotrigintatrecentillion", "noventrigintatrecentillion", "quadragintatrecentillion",
    "unquadragintatrecentillion", "duoquadragintatrecentillion",
    "tresquadragintatrecentillion", "quattuorquadragintatrecentillion",
    "quinquadragintatrecentillion", "sesquadragintatrecentillion",
    "septenquadragintatrecentillion", "octoquadragintatrecentillion",
    "novenquadragintatrecentillion", "quinquagintatrecentillion",
    "unquinquagintatrecentillion", "duoquinquagintatrecentillion",
    "tresquinquagintatrecentillion", "quattuorquinquagintatrecentillion",
    "quinquinquagintatrecentillion", "sesquinquagintatrecentillion",
    "septenquinquagintatrecentillion", "octoquinquagintatrecentillion",
    "novenquinquagintatrecentillion", "sexagintatrecentillion", "unsexagintatrecentillion",
    "duosexagintatrecentillion", "tresexagintatrecentillion", "quattuorsexagintatrecentillion",
    "quinsexagintatrecentillion", "sesexagintatrecentillion", "septensexagintatrecentillion",
    "octosexagintatrecentillion", "novensexagintatrecentillion",
    "septuagintatrecentillion", "unseptuagintatrecentillion", "duoseptuagintatrecentillion",
    "treseptuagintatrecentillion", "quattuorseptuagintatrecentillion",
    "quinseptuagintatrecentillion", "seseptuagintatrecentillion",
    "septenseptuagintatrecentillion", "octoseptuagintatrecentillion",
    "novenseptuagintatrecentillion", "octogintatrecentillion", "unoctogintatrecentillion",
    "duooctogintatrecentillion", "tresoctogintatrecentillion", "quattuoroctogintatrecentillion",
    "quinoctogintatrecentillion", "sexoctogintatrecentillion", "septemoctogintatrecentillion",
    "octooctogintatrecentillion", "novemoctogintatrecentillion",
    "nonagintatrecentillion", "unnonagintatrecentillion", "duononagintatrecentillion",
    "trenonagintatrecentillion", "quattuornonagintatrecentillion",
    "quinnonagintatrecentillion", "senonagintatrecentillion", "septenonagintatrecentillion",
    "octononagintatrecentillion", "novenonagintatrecentillion", "quadringentillion",
    "unquadringentillion", "duoquadringentillion", "tresquadringentillion",
    "quattuorquadringentillion", "quinquadringentillion", "sesquadringentillion",
    "septenquadringentillion", "octoquadringentillion", "novenquadringentillion",
    "deciquadringentillion", "undeciquadringentillion", "duodeciquadringentillion",
    "tredeciquadringentillion", "quattuordeciquadringentillion",
    "quindeciquadringentillion", "sedeciquadringentillion", "septendeciquadringentillion",
    "octodeciquadringentillion", "novendeciquadringentillion", "vigintiquadringentillion",
    "unvigintiquadringentillion", "duovigintiquadringentillion",
    "tresvigintiquadringentillion", "quattuorvigintiquadringentillion",
    "quinvigintiquadringentillion", "sesvigintiquadringentillion",
    "septemvigintiquadringentillion", "octovigintiquadringentillion",
    "novemvigintiquadringentillion", "trigintaquadringentillion",
    "untrigintaquadringentillion", "duotrigintaquadringentillion",
    "trestrigintaquadringentillion", "quattuortrigintaquadringentillion",
    "quintrigintaquadringentillion", "sestrigintaquadringentillion",
    "septentrigintaquadringentillion", "octotrigintaquadringentillion",
    "noventrigintaquadringentillion", "quadragintaquadringentillion",
    "unquadragintaquadringentillion", "duoquadragintaquadringentillion",
    "tresquadragintaquadringentillion", "quattuorquadragintaquadringentillion",
    "quinquadragintaquadringentillion", "sesquadragintaquadringentillion",
    "septenquadragintaquadringentillion", "octoquadragintaquadringentillion",
    "novenquadragintaquadringentillion", "quinquagintaquadringentillion",
    "unquinquagintaquadringentillion", "duoquinquagintaquadringentillion",
    "tresquinquagintaquadringentillion", "quattuorquinquagintaquadringentillion",
    "quinquinquagintaquadringentillion", "sesquinquagintaquadringentillion",
    "septenquinquagintaquadringentillion", "octoquinquagintaquadringentillion",
    "novenquinquagintaquadringentillion", "sexagintaquadringentillion",
    "unsexagintaquadringentillion", "duosexagintaquadringentillion",
    "tresexagintaquadringentillion", "quattuorsexagintaquadringentillion",
    "quinsexagintaquadringentillion", "sesexagintaquadringentillion",
    "septensexagintaquadringentillion", "octosexagintaquadringentillion",
    "novensexagintaquadringentillion", "septuagintaquadringentillion",
    "unseptuagintaquadringentillion", "duoseptuagintaquadringentillion",
    "treseptuagintaquadringentillion", "quattuorseptuagintaquadringentillion",
    "quinseptuagintaquadringentillion", "seseptuagintaquadringentillion",
    "septenseptuagintaquadringentillion", "octoseptuagintaquadringentillion",
    "novenseptuagintaquadringentillion", "octogintaquadringentillion",
    "unoctogintaquadringentillion", "duooctogintaquadringentillion",
    "tresoctogintaquadringentillion", "quattuoroctogintaquadringentillion",
    "quinoctogintaquadringentillion", "sexoctogintaquadringentillion",
    "septemoctogintaquadringentillion", "octooctogintaquadringentillion",
    "novemoctogintaquadringentillion", "nonagintaquadringentillion",
    "unnonagintaquadringentillion", "duononagintaquadringentillion",
    "trenonagintaquadringentillion", "quattuornonagintaquadringentillion",
    "quinnonagintaquadringentillion", "senonagintaquadringentillion",
    "septenonagintaquadringentillion", "octononagintaquadringentillion",
    "novenonagintaquadringentillion", "quingentillion", "unquingentillion",
    "duoquingentillion", "tresquingentillion", "quattuorquingentillion",
    "quinquingentillion", "sesquingentillion", "septenquingentillion",
    "octoquingentillion", "novenquingentillion", "deciquingentillion",
    "undeciquingentillion", "duodeciquingentillion", "tredeciquingentillion",
    "quattuordeciquingentillion", "quindeciquingentillion", "sedeciquingentillion",
    "septendeciquingentillion", "octodeciquingentillion", "novendeciquingentillion",
    "vigintiquingentillion", "unvigintiquingentillion", "duovigintiquingentillion",
    "tresvigintiquingentillion", "quattuorvigintiquingentillion",
    "quinvigintiquingentillion", "sesvigintiquingentillion", "septemvigintiquingentillion",
    "octovigintiquingentillion", "novemvigintiquingentillion", "trigintaquingentillion",
    "untrigintaquingentillion", "duotrigintaquingentillion", "trestrigintaquingentillion",
    "quattuortrigintaquingentillion", "quintrigintaquingentillion",
    "sestrigintaquingentillion", "septentrigintaquingentillion",
    "octotrigintaquingentillion", "noventrigintaquingentillion",
    "quadragintaquingentillion", "unquadragintaquingentillion", "duoquadragintaquingentillion",
    "tresquadragintaquingentillion", "quattuorquadragintaquingentillion",
    "quinquadragintaquingentillion", "sesquadragintaquingentillion",
    "septenquadragintaquingentillion", "octoquadragintaquingentillion",
    "novenquadragintaquingentillion", "quinquagintaquingentillion",
    "unquinquagintaquingentillion", "duoquinquagintaquingentillion",
    "tresquinquagintaquingentillion", "quattuorquinquagintaquingentillion",
    "quinquinquagintaquingentillion", "sesquinquagintaquingentillion",
    "septenquinquagintaquingentillion", "octoquinquagintaquingentillion",
    "novenquinquagintaquingentillion", "sexagintaquingentillion",
    "unsexagintaquingentillion", "duosexagintaquingentillion", "tresexagintaquingentillion",
    "quattuorsexagintaquingentillion", "quinsexagintaquingentillion",
    "sesexagintaquingentillion", "septensexagintaquingentillion",
    "octosexagintaquingentillion", "novensexagintaquingentillion",
    "septuagintaquingentillion", "unseptuagintaquingentillion", "duoseptuagintaquingentillion",
    "treseptuagintaquingentillion", "quattuorseptuagintaquingentillion",
    "quinseptuagintaquingentillion", "seseptuagintaquingentillion",
    "septenseptuagintaquingentillion", "octoseptuagintaquingentillion",
    "novenseptuagintaquingentillion", "octogintaquingentillion",
    "unoctogintaquingentillion", "duooctogintaquingentillion", "tresoctogintaquingentillion",
    "quattuoroctogintaquingentillion", "quinoctogintaquingentillion",
    "sexoctogintaquingentillion", "septemoctogintaquingentillion",
    "octooctogintaquingentillion", "novemoctogintaquingentillion",
    "nonagintaquingentillion", "unnonagintaquingentillion", "duononagintaquingentillion",
    "trenonagintaquingentillion", "quattuornonagintaquingentillion",
    "quinnonagintaquingentillion", "senonagintaquingentillion", "septenonagintaquingentillion",
    "octononagintaquingentillion", "novenonagintaquingentillion",
    "sescentillion", "unsescentillion", "duosescentillion", "tresescentillion",
    "quattuorsescentillion", "quinsescentillion", "sesescentillion",
    "septensescentillion", "octosescentillion", "novensescentillion",
    "decisescentillion", "undecisescentillion", "duodecisescentillion",
    "tredecisescentillion", "quattuordecisescentillion", "quindecisescentillion",
    "sedecisescentillion", "septendecisescentillion", "octodecisescentillion",
    "novendecisescentillion", "vigintisescentillion", "unvigintisescentillion",
    "duovigintisescentillion", "tresvigintisescentillion", "quattuorvigintisescentillion",
    "quinvigintisescentillion", "sesvigintisescentillion", "septemvigintisescentillion",
    "octovigintisescentillion", "novemvigintisescentillion", "trigintasescentillion",
    "untrigintasescentillion", "duotrigintasescentillion", "trestrigintasescentillion",
    "quattuortrigintasescentillion", "quintrigintasescentillion",
    "sestrigintasescentillion", "septentrigintasescentillion", "octotrigintasescentillion",
    "noventrigintasescentillion", "quadragintasescentillion", "unquadragintasescentillion",
    "duoquadragintasescentillion", "tresquadragintasescentillion",
    "quattuorquadragintasescentillion", "quinquadragintasescentillion",
    "sesquadragintasescentillion", "septenquadragintasescentillion",
    "octoquadragintasescentillion", "novenquadragintasescentillion",
    "quinquagintasescentillion", "unquinquagintasescentillion", "duoquinquagintasescentillion",
    "tresquinquagintasescentillion", "quattuorquinquagintasescentillion",
    "quinquinquagintasescentillion", "sesquinquagintasescentillion",
    "septenquinquagintasescentillion", "octoquinquagintasescentillion",
    "novenquinquagintasescentillion", "sexagintasescentillion", "unsexagintasescentillion",
    "duosexagintasescentillion", "tresexagintasescentillion", "quattuorsexagintasescentillion",
    "quinsexagintasescentillion", "sesexagintasescentillion", "septensexagintasescentillion",
    "octosexagintasescentillion", "novensexagintasescentillion",
    "septuagintasescentillion", "unseptuagintasescentillion", "duoseptuagintasescentillion",
    "treseptuagintasescentillion", "quattuorseptuagintasescentillion",
    "quinseptuagintasescentillion", "seseptuagintasescentillion",
    "septenseptuagintasescentillion", "octoseptuagintasescentillion",
    "novenseptuagintasescentillion", "octogintasescentillion", "unoctogintasescentillion",
    "duooctogintasescentillion", "tresoctogintasescentillion", "quattuoroctogintasescentillion",
    "quinoctogintasescentillion", "sexoctogintasescentillion", "septemoctogintasescentillion",
    "octooctogintasescentillion", "novemoctogintasescentillion",
    "nonagintasescentillion", "unnonagintasescentillion", "duononagintasescentillion",
    "trenonagintasescentillion", "quattuornonagintasescentillion",
    "quinnonagintasescentillion", "senonagintasescentillion", "septenonagintasescentillion",
    "octononagintasescentillion", "novenonagintasescentillion", "septingentillion",
    "unseptingentillion", "duoseptingentillion", "treseptingentillion",
    "quattuorseptingentillion", "quinseptingentillion", "seseptingentillion",
    "septenseptingentillion", "octoseptingentillion", "novenseptingentillion",
    "deciseptingentillion", "undeciseptingentillion", "duodeciseptingentillion",
    "tredeciseptingentillion", "quattuordeciseptingentillion", "quindeciseptingentillion",
    "sedeciseptingentillion", "septendeciseptingentillion", "octodeciseptingentillion",
    "novendeciseptingentillion", "vigintiseptingentillion", "unvigintiseptingentillion",
    "duovigintiseptingentillion", "tresvigintiseptingentillion",
    "quattuorvigintiseptingentillion", "quinvigintiseptingentillion",
    "sesvigintiseptingentillion", "septemvigintiseptingentillion",
    "octovigintiseptingentillion", "novemvigintiseptingentillion",
    "trigintaseptingentillion", "untrigintaseptingentillion", "duotrigintaseptingentillion",
    "trestrigintaseptingentillion", "quattuortrigintaseptingentillion",
    "quintrigintaseptingentillion", "sestrigintaseptingentillion",
    "septentrigintaseptingentillion", "octotrigintaseptingentillion",
    "noventrigintaseptingentillion", "quadragintaseptingentillion",
    "unquadragintaseptingentillion", "duoquadragintaseptingentillion",
    "tresquadragintaseptingentillion", "quattuorquadragintaseptingentillion",
    "quinquadragintaseptingentillion", "sesquadragintaseptingentillion",
    "septenquadragintaseptingentillion", "octoquadragintaseptingentillion",
    "novenquadragintaseptingentillion", "quinquagintaseptingentillion",
    "unquinquagintaseptingentillion", "duoquinquagintaseptingentillion",
    "tresquinquagintaseptingentillion", "quattuorquinquagintaseptingentillion",
    "quinquinquagintaseptingentillion", "sesquinquagintaseptingentillion",
    "septenquinquagintaseptingentillion", "octoquinquagintaseptingentillion",
    "novenquinquagintaseptingentillion", "sexagintaseptingentillion",
    "unsexagintaseptingentillion", "duosexagintaseptingentillion",
    "tresexagintaseptingentillion", "quattuorsexagintaseptingentillion",
    "quinsexagintaseptingentillion", "sesexagintaseptingentillion",
    "septensexagintaseptingentillion", "octosexagintaseptingentillion",
    "novensexagintaseptingentillion", "septuagintaseptingentillion",
    "unseptuagintaseptingentillion", "duoseptuagintaseptingentillion",
    "treseptuagintaseptingentillion", "quattuorseptuagintaseptingentillion",
    "quinseptuagintaseptingentillion", "seseptuagintaseptingentillion",
    "septenseptuagintaseptingentillion", "octoseptuagintaseptingentillion",
    "novenseptuagintaseptingentillion", "octogintaseptingentillion",
    "unoctogintaseptingentillion", "duooctogintaseptingentillion",
    "tresoctogintaseptingentillion", "quattuoroctogintaseptingentillion",
    "quinoctogintaseptingentillion", "sexoctogintaseptingentillion",
    "septemoctogintaseptingentillion", "octooctogintaseptingentillion",
    "novemoctogintaseptingentillion", "nonagintaseptingentillion",
    "unnonagintaseptingentillion", "duononagintaseptingentillion",
    "trenonagintaseptingentillion", "quattuornonagintaseptingentillion",
    "quinnonagintaseptingentillion", "senonagintaseptingentillion",
    "septenonagintaseptingentillion", "octononagintaseptingentillion",
    "novenonagintaseptingentillion", "octingentillion", "unoctingentillion",
    "duooctingentillion", "tresoctingentillion", "quattuoroctingentillion",
    "quinoctingentillion", "sexoctingentillion", "septemoctingentillion",
    "octooctingentillion", "novemoctingentillion", "decioctingentillion",
    "undecioctingentillion", "duodecioctingentillion", "tredecioctingentillion",
    "quattuordecioctingentillion", "quindecioctingentillion", "sedecioctingentillion",
    "septendecioctingentillion", "octodecioctingentillion", "novendecioctingentillion",
    "vigintioctingentillion", "unvigintioctingentillion", "duovigintioctingentillion",
    "tresvigintioctingentillion", "quattuorvigintioctingentillion",
    "quinvigintioctingentillion", "sesvigintioctingentillion", "septemvigintioctingentillion",
    "octovigintioctingentillion", "novemvigintioctingentillion",
    "trigintaoctingentillion", "untrigintaoctingentillion", "duotrigintaoctingentillion",
    "trestrigintaoctingentillion", "quattuortrigintaoctingentillion",
    "quintrigintaoctingentillion", "sestrigintaoctingentillion",
    "septentrigintaoctingentillion", "octotrigintaoctingentillion",
    "noventrigintaoctingentillion", "quadragintaoctingentillion",
    "unquadragintaoctingentillion", "duoquadragintaoctingentillion",
    "tresquadragintaoctingentillion", "quattuorquadragintaoctingentillion",
    "quinquadragintaoctingentillion", "sesquadragintaoctingentillion",
    "septenquadragintaoctingentillion", "octoquadragintaoctingentillion",
    "novenquadragintaoctingentillion", "quinquagintaoctingentillion",
    "unquinquagintaoctingentillion", "duoquinquagintaoctingentillion",
    "tresquinquagintaoctingentillion", "quattuorquinquagintaoctingentillion",
    "quinquinquagintaoctingentillion", "sesquinquagintaoctingentillion",
    "septenquinquagintaoctingentillion", "octoquinquagintaoctingentillion",
    "novenquinquagintaoctingentillion", "sexagintaoctingentillion",
    "unsexagintaoctingentillion", "duosexagintaoctingentillion",
    "tresexagintaoctingentillion", "quattuorsexagintaoctingentillion",
    "quinsexagintaoctingentillion", "sesexagintaoctingentillion",
    "septensexagintaoctingentillion", "octosexagintaoctingentillion",
    "novensexagintaoctingentillion", "septuagintaoctingentillion",
    "unseptuagintaoctingentillion", "duoseptuagintaoctingentillion",
    "treseptuagintaoctingentillion", "quattuorseptuagintaoctingentillion",
    "quinseptuagintaoctingentillion", "seseptuagintaoctingentillion",
    "septenseptuagintaoctingentillion", "octoseptuagintaoctingentillion",
    "novenseptuagintaoctingentillion", "octogintaoctingentillion",
    "unoctogintaoctingentillion", "duooctogintaoctingentillion",
    "tresoctogintaoctingentillion", "quattuoroctogintaoctingentillion",
    "quinoctogintaoctingentillion", "sexoctogintaoctingentillion",
    "septemoctogintaoctingentillion", "octooctogintaoctingentillion",
    "novemoctogintaoctingentillion", "nonagintaoctingentillion",
    "unnonagintaoctingentillion", "duononagintaoctingentillion",
    "trenonagintaoctingentillion", "quattuornonagintaoctingentillion",
    "quinnonagintaoctingentillion", "senonagintaoctingentillion",
    "septenonagintaoctingentillion", "octononagintaoctingentillion",
    "novenonagintaoctingentillion", "nongentillion", "unnongentillion",
    "duonongentillion", "trenongentillion", "quattuornongentillion",
    "quinnongentillion", "senongentillion", "septenongentillion",
    "octonongentillion", "novenongentillion", "decinongentillion",
    "undecinongentillion", "duodecinongentillion", "tredecinongentillion",
    "quattuordecinongentillion", "quindecinongentillion", "sedecinongentillion",
    "septendecinongentillion", "octodecinongentillion", "novendecinongentillion",
    "vigintinongentillion", "unvigintinongentillion", "duovigintinongentillion",
    "tresvigintinongentillion", "quattuorvigintinongentillion", "quinvigintinongentillion",
    "sesvigintinongentillion", "septemvigintinongentillion", "octovigintinongentillion",
    "novemvigintinongentillion", "trigintanongentillion", "untrigintanongentillion",
    "duotrigintanongentillion", "trestrigintanongentillion", "quattuortrigintanongentillion",
    "quintrigintanongentillion", "sestrigintanongentillion", "septentrigintanongentillion",
    "octotrigintanongentillion", "noventrigintanongentillion", "quadragintanongentillion",
    "unquadragintanongentillion", "duoquadragintanongentillion",
    "tresquadragintanongentillion", "quattuorquadragintanongentillion",
    "quinquadragintanongentillion", "sesquadragintanongentillion",
    "septenquadragintanongentillion", "octoquadragintanongentillion",
    "novenquadragintanongentillion", "quinquagintanongentillion",
    "unquinquagintanongentillion", "duoquinquagintanongentillion",
    "tresquinquagintanongentillion", "quattuorquinquagintanongentillion",
    "quinquinquagintanongentillion", "sesquinquagintanongentillion",
    "septenquinquagintanongentillion", "octoquinquagintanongentillion",
    "novenquinquagintanongentillion", "sexagintanongentillion", "unsexagintanongentillion",
    "duosexagintanongentillion", "tresexagintanongentillion", "quattuorsexagintanongentillion",
    "quinsexagintanongentillion", "sesexagintanongentillion", "septensexagintanongentillion",
    "octosexagintanongentillion", "novensexagintanongentillion",
    "septuagintanongentillion", "unseptuagintanongentillion", "duoseptuagintanongentillion",
    "treseptuagintanongentillion", "quattuorseptuagintanongentillion",
    "quinseptuagintanongentillion", "seseptuagintanongentillion",
    "septenseptuagintanongentillion", "octoseptuagintanongentillion",
    "novenseptuagintanongentillion", "octogintanongentillion", "unoctogintanongentillion",
    "duooctogintanongentillion", "tresoctogintanongentillion", "quattuoroctogintanongentillion",
    "quinoctogintanongentillion", "sexoctogintanongentillion", "septemoctogintanongentillion",
    "octooctogintanongentillion", "novemoctogintanongentillion",
    "nonagintanongentillion", "unnonagintanongentillion", "duononagintanongentillion",
    "trenonagintanongentillion", "quattuornonagintanongentillion",
    "quinnonagintanongentillion", "senonagintanongentillion", "septenonagintanongentillion",
    "octononagintanongentillion", "novenonagintanongentillion", "millinillion",
    "millimillion", "millibillion", "millitrillion"
  )
  expect_equal(
    one_thousand_and_four_illions,
    english_illions(1:1004)
  )

  # Thanks @cookiefonste for these very large number names. Their site provides
  # these in powers of 10 (dividing by 3 for powers of 1000):
  # https://sites.google.com/site/pointlesslargenumberstuff/home/1/extendedillions1
  expect_equal(english_illions(3303 / 3), "millicentillion")
  expect_equal(english_illions(6003 / 3), "billinillion")
  expect_equal(english_illions(6006 / 3), "billimillion")
  expect_equal(english_illions(6009 / 3), "billibillion")
  expect_equal(english_illions(9003 / 3), "trillinillion")
  expect_equal(english_illions(12003 / 3), "quadrillinillion")
  expect_equal(english_illions(30003 / 3), "decillinillion")
  expect_equal(english_illions(300003 / 3), "centillinillion")
  expect_equal(english_illions(2999997 / 3), "novenonagintanongentillioctononagintanongentillion")
  expect_equal(english_illions(3000000 / 3), "novenonagintanongentillinovenonagintanongentillion")
  expect_equal(english_illions(3000003 / 3), "millinillinillion")
  expect_equal(english_illions(3000006 / 3), "millinillimillion")
  expect_equal(english_illions(3333333 / 3), "milliundecicentillidecicentillion")
  expect_equal(english_illions(6000003 / 3), "billinillinillion")
  expect_equal(english_illions(30000003 / 3), "decillinillinillion")
  expect_equal(english_illions(300000003 / 3), "centillinillinillion")
  expect_equal(english_illions(3000000003 / 3), "millinillinillinillion")
  expect_equal(english_illions(6000000003 / 3), "billinillinillinillion")
  expect_equal(english_illions(3000000000003 / 3), "millinillinillinillinillion")
  expect_equal(english_illions(3000000000000003 / 3), "millinillinillinillinillinillion")

  # Two failing cases, but I think these are typos on the website:
  # https://sites.google.com/site/pointlesslargenumberstuff/home/1/extendedillions1
  # expect_equal(english_illions(3003006  / 3), "millibillinillion")
  # expect_equal(english_illions(6030 / 3), "billidecillion")
})

test_that("`english_tenillions()` works", {
  expect_snapshot(english_tenillions(1:100))
  expect_equal(english_tenillions(6000000003), "billinillinillinillion")
  expect_equal(english_tenillions(6000000003 + 1), "ten billinillinillinillion")
  expect_equal(english_tenillions(6000000003 + 2), "hundred billinillinillinillion")
  expect_equal(english_tenillions(3000000000003), "millinillinillinillinillion")
  expect_equal(english_tenillions(3000000000000003), "millinillinillinillinillinillion")
})
